Database Accounts - List Keys
Mencantumkan kunci akses untuk akun database Azure Cosmos DB yang ditentukan.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DocumentDB/databaseAccounts/{accountName}/listKeys?api-version=2021-10-15
Parameter URI
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
|
Nama akun database Cosmos DB. Regex pattern: |
|
resource
|
path | True |
|
Nama grup sumber daya. Nama tidak peka huruf besar/kecil. |
|
subscription
|
path | True |
|
ID langganan target. |
|
api-version
|
query | True |
|
Versi API yang digunakan untuk operasi ini. |
Respons
| Name | Type | Description |
|---|---|---|
| 200 OK |
Operasi berhasil diselesaikan. |
Keamanan
azure_auth
Azure Active Directory Flow OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | Meniru akun pengguna Anda |
Contoh
CosmosDBDatabaseAccountListKeys
Sample Request
Sample Response
{
"primaryMasterKey": "primaryMasterKey",
"secondaryMasterKey": "secondaryMasterKey",
"primaryReadonlyMasterKey": "primaryReadonlyMasterKey",
"secondaryReadonlyMasterKey": "secondaryReadonlyMasterKey"
}
Definisi
DatabaseAccountListKeysResult
Kunci akses untuk akun database yang diberikan.
| Name | Type | Description |
|---|---|---|
| primaryMasterKey |
|
Nilai dasar 64 yang dikodekan dari kunci baca-tulis utama. |
| primaryReadonlyMasterKey |
|
Nilai dasar 64 yang dikodekan dari kunci baca-saja utama. |
| secondaryMasterKey |
|
Nilai dasar 64 yang dikodekan dari kunci baca-tulis sekunder. |
| secondaryReadonlyMasterKey |
|
Nilai dasar 64 yang dikodekan dari kunci baca-saja sekunder. |